MessagesService (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.client.rpc

## Interface MessagesService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    MessagesServiceImpl

      @RemoteServiceRelativePath(value="message")
      public interface MessagesService
      extends com.google.gwt.user.client.rpc.RemoteService

  The client side stub for the RPC service.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deleteMessage(String messageIdentifier, String messageType)`
    `List<MessageModel>` | `getAllMessagesReceived()`
    `List<MessageModel>` | `getAllMessagesSent()`
    `MessageModel` | `getMessageById(String messageIdentifier, String messageType)`
    `List<MessageModel>` | `getNewMessagesReceived()`
    `String` | `getURLFromApplicationProfile(String identifier)`
    `boolean` | `isSessionExpired()`
    `boolean` | `markMessage(String messageIdentifier, String messageType, boolean boolMark, String markType)`
    `boolean` | `saveAttach(String attachId)`
    `String` | `saveAttachment(String messageIdentifier, String attachmentId, String messageType)`
    `boolean` | `saveAttachments(String messageIdentifier, String messageType)`
    `List<MessageModel>` | `searchInReceivedMessagesByText(String text)`
    `List<MessageModel>` | `searchInSentMessagesByText(String text)`
    `boolean` | `sendToById(List<String> listContactsId, List<String> listAttachmentsId, String subject, String text)`
    `boolean` | `sentToByMessageModel(MessageModel message)`
    `boolean` | `setAllUserMessageNotificationsRead()`

- - ### Method Detail

    - #### sentToByMessageModel

          boolean sentToByMessageModel(MessageModel message)
                                       throws Exception

      Throws:
        `Exception`

    - #### sendToById

          boolean sendToById(List<String> listContactsId,
                           List<String> listAttachmentsId,
                           String subject,
                           String text)
                             throws Exception

      Throws:
        `Exception`

    - #### getAllMessagesReceived

          List<MessageModel> getAllMessagesReceived()
                                                    throws Exception

      Throws:
        `Exception`

    - #### getNewMessagesReceived

          List<MessageModel> getNewMessagesReceived()
                                                    throws Exception

      Throws:
        `Exception`

    - #### getAllMessagesSent

          List<MessageModel> getAllMessagesSent()
                                                throws Exception

      Throws:
        `Exception`

    - #### searchInSentMessagesByText

          List<MessageModel> searchInSentMessagesByText(String text)
                                                        throws Exception

      Throws:
        `Exception`

    - #### searchInReceivedMessagesByText

          List<MessageModel> searchInReceivedMessagesByText(String text)
                                                            throws Exception

      Throws:
        `Exception`

    - #### getMessageById

          MessageModel getMessageById(String messageIdentifier,
                                    String messageType)
                                      throws Exception

      Throws:
        `Exception`

    - #### saveAttachments

          boolean saveAttachments(String messageIdentifier,
                                String messageType)
                                  throws Exception

      Throws:
        `Exception`

    - #### saveAttach

          boolean saveAttach(String attachId)
                             throws Exception

      Throws:
        `Exception`

    - #### markMessage

          boolean markMessage(String messageIdentifier,
                            String messageType,
                            boolean boolMark,
                            String markType)
                              throws Exception

      Throws:
        `Exception`

    - #### deleteMessage

          boolean deleteMessage(String messageIdentifier,
                              String messageType)
                                throws Exception

      Throws:
        `Exception`

    - #### setAllUserMessageNotificationsRead

          boolean setAllUserMessageNotificationsRead()

    - #### getURLFromApplicationProfile

          String getURLFromApplicationProfile(String identifier)
                                              throws Exception

      Throws:
        `Exception`

    - #### saveAttachment

          String saveAttachment(String messageIdentifier,
                              String attachmentId,
                              String messageType)
                                throws Exception

      Throws:
        `Exception`

    - #### isSessionExpired

          boolean isSessionExpired()
                                   throws Exception

      Returns:
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.